高德地图SDK(导航) V11.2.0501

Loading...
Searching...
No Matches
Properties | List of all members
AMapNaviInputTip Class Reference

`#include <AMapNaviCommonObj.h>`

Inheritance diagram for AMapNaviInputTip:

## Properties
NSString * | mid
| POI的唯一标识符: 必传 Unique identifier of POI: mandatory.
NSString * | name
| POI的名称 :必传 POI name: required.
AMapNaviPoint * | location
| POI的地理位置坐标，通常表示为经纬度字符串; 必传 The geographic coordinates of a POI, usually expressed as latitude and longitude strings; mandatory.
NSString * | district
| POI所在地区的名称 Name of the region where the POI is located.
NSString * | adcode
| POI的行政区划编码 Administrative division code of POI.
NSString * | address
| POI的详细地址信息 Detailed address information of POI.
NSString * | typecode

## Detailed Description

AMapNaviInputTip类 用于表示输入提示 返回数据类型

Since
  10.0.921 The AMapNaviInputTip class is used to represent input suggestions and return data types.
  10.0.921

## Property Documentation

## ◆ adcode

- (NSString*) adcode
| read write nonatomic copy

POI的行政区划编码 Administrative division code of POI.

## ◆ address

- (NSString*) address
| read write nonatomic copy

POI的详细地址信息 Detailed address information of POI.

## ◆ district

- (NSString*) district
| read write nonatomic copy

POI所在地区的名称 Name of the region where the POI is located.

## ◆ location

- (AMapNaviPoint*) location
| read write nonatomic copy

POI的地理位置坐标，通常表示为经纬度字符串; 必传 The geographic coordinates of a POI, usually expressed as latitude and longitude strings; mandatory.

## ◆ mid

- (NSString*) mid
| read write nonatomic copy

POI的唯一标识符: 必传 Unique identifier of POI: mandatory.

## ◆ name

- (NSString*) name
| read write nonatomic copy

POI的名称 :必传 POI name: required.

## ◆ typecode

- (NSString*) typecode
| read write nonatomic copy

POI的类型编码，用于表示该地点的类型（如餐馆、商店等） POI type code, used to indicate the type of the location (such as restaurants, shops, etc.)

The documentation for this class was generated from the following file:

- AMapNaviCommonObj.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。